For the complete documentation index, see llms.txt. This page is also available as Markdown.

Refund

Create refund transaction

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
typestring · enumRequiredPossible values:
runeIdsstring[]Optional

require if refund type is "virtual_mint"

Example: ["123:345","456:123"]
userAddressstringRequired
Responses
201Success

No content

post/api/refund
POST /api/refund HTTP/1.1
Host: api.bound.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 76

{
  "type": "virtual_mint",
  "runeIds": [
    "123:345",
    "456:123"
  ],
  "userAddress": "text"
}
201Success

No content

Sign refund transaction

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
base64PsbtstringRequired
userAddressstringRequired
Responses
201Success

No content

post/api/refund/sign
POST /api/refund/sign HTTP/1.1
Host: api.bound.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 42

{
  "base64Psbt": "text",
  "userAddress": "text"
}
201Success

No content

calculate refund amount

get
Query parameters
typestring · enumRequiredPossible values:
runeIdsstringOptional

require if refund type is "virtual_mint"

Example: 123:345,456:123
userAddressstringRequired
Responses
200Success

No content

get/api/refund/calculate
GET /api/refund/calculate?type=virtual_mint&userAddress=text HTTP/1.1
Host: api.bound.exchange
Accept: */*
200Success

No content

Last updated